Package org.opensaml.spring.trust

# Class ChainingSignatureTrustEngineFactoryBean

java.lang.Object
net.shibboleth.shared.spring.factory.AbstractFactoryBean<T>
net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean<ChainingSignatureTrustEngine>
org.opensaml.spring.trust.ChainingSignatureTrustEngineFactoryBean

All Implemented Interfaces:
  `Aware`, `BeanClassLoaderAware`, `BeanFactoryAware`, `DisposableBean`, `FactoryBean<ChainingSignatureTrustEngine>`, `InitializingBean`

public class ChainingSignatureTrustEngineFactoryBean extends AbstractComponentAwareFactoryBean<ChainingSignatureTrustEngine>
Factory bean for `ChainingSignatureTrustEngine`. This finesses the issue that some parsers are not supported and return a bean of type object and these cannot be injected into the trust engine. This factory just filters the unsupported engines out. A warning has been issued at point of parse so no further logging is required.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final List<Object>`
`engines`
The unfiltered list of putative trust engines.

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`ChainingSignatureTrustEngineFactoryBean(List<Object> list)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected ChainingSignatureTrustEngine`
`doCreateInstance()`
`Class<?>`
`getObjectType()`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean

`createInstance, destroyInstance, setThrowIfNull`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractFactoryBean

`afterPropertiesSet, destroy, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### engines

@Nullable private final List<Object> engines
The unfiltered list of putative trust engines.

## Constructor Details

### ChainingSignatureTrustEngineFactoryBean

public ChainingSignatureTrustEngineFactoryBean(@Nullable List<Object> list)
Constructor.

Parameters:
  `list` - the putative trust engines.

## Method Details

### getObjectType

@Nonnull public Class<?> getObjectType()

Specified by:
  `getObjectType` in interface `FactoryBean<ChainingSignatureTrustEngine>`
Specified by:
  `getObjectType` in class `AbstractFactoryBean<ChainingSignatureTrustEngine>`

### doCreateInstance

@Nonnull protected ChainingSignatureTrustEngine doCreateInstance() throws Exception

Specified by:
  `doCreateInstance` in class `AbstractComponentAwareFactoryBean<ChainingSignatureTrustEngine>`
Throws:
  `Exception`